<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
function xExportar($varForm) {
	$varPro = (isset($varForm["pcod"]) && $varForm["pcod"]<>'')? $varForm["pcod"]:"NULL";
	$varTip = (isset($varForm["tcod"]) && $varForm["tcod"]<>'')? $varForm["tcod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	
	$sql = "call spQuery_Registro_Compras($varPro, $varTip, $varIni, $varFin, NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCompras($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}
function xFormuDetalle($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCompras($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuDetalle($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
	
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsRegistroCompras($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	$varFecha = '$(document).ready(function() {
				function startChange() {
					var startDate = fini.value();
		
					if (startDate) {
						startDate = new Date(startDate);
						startDate.setDate(startDate.getDate());
						ffin.min(startDate);
					}
				}
		
				function endChange() {
					var endDate = ffin.value();
		
					if (endDate) {
						endDate = new Date(endDate);
						endDate.setDate(endDate.getDate());
						fini.max(endDate);
					}
				}
		
				var fini = $("#fini").kendoDatePicker({
					change: startChange,
					format: "dd/MM/yyyy"
				}).data("kendoDatePicker");
		
				var ffin = $("#ffin").kendoDatePicker({
					change: endChange,
					format: "dd/MM/yyyy"
				}).data("kendoDatePicker");
		
			});';
	$respuestaXajax->script($varFecha);
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor_cxp');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_docpago');
$xajax->register(XAJAX_FUNCTION, 'addValorComboMovCompra');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_producto_compra');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xFormuDetalle');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->register(XAJAX_FUNCTION, 'xExportarDetalle');


$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("pcod").value=="" && xajax.$("tcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
			}
		}
	function xExportarJS() {
		xajax_xExportar(xajax.getFormValues('form'));		
		}
	function xExportarDetalleJS() {
		xajax_xExportarDetalle(xajax.getFormValues('form'));		
		}
	function FormuDetalleJS(varCod) {
		UnTip();
		var Ruta = 'print/print_cxp_documentos_pagar_detalle.php?ide='+varCod;
		testwindow= window.open (Ruta, "print_cxp_documentos_pagar_detalle", "location=no,status=no,toolbar=no,scrollbars=1,width=600,height=400");	
		}
	function xImprimirJS() {
		var varPro = xajax.$("pcod").value;
		var varTip = xajax.$("tcod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		var varEst = xajax.$("est").value;
		if (xajax.$("pcod").value=="" && xajax.$("tcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			var Ruta = 'print/print_cxp_documentos_pagar.php?pro='+varPro+'&tip='+varTip+'&ini='+varIni+'&fin='+varFin+'&est='+varEst;
			testwindow= window.open (Ruta, "print_cxp_documentos_pagar", "location=no,status=no,toolbar=no,scrollbars=1,width=1100,height=500");
			}	
		}
</script>
<?php

function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	}
?>